Subject: bug#25556: 26.0.50.1; Requiring uncompiled eieio issues obsoletion warnings

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 24 Aug 2020 17:26:11 +0200

David Engster <[email-masked]> writes:

> I'm currently trying to fix compiler warnings during the CEDET compile
> in Emacs master, but there's one annoying problem I'm unsure how to
> fix. Whenever a file does (require 'eieio), and EIEIO is not yet
> byte-compiled, those two warnings are issued:
>
> ../../emacs-lisp/eieio.el: ‘eieio-object-name-string’ is an obsolete
> generic function (as of 25.1); use ‘eieio-named’ instead.
> ../../emacs-lisp/eieio.el: ‘destructor’ is an obsolete generic
> function (as of 26.1).
>
> Since EIEIO is compiled pretty late, one is flooded with these warnings
> when compiling Emacs master. The warnings seems to come from the
> cl-defgeneric for `eieio-object-name-string' and `destructor'. How can
> this be dealt with?

I think all of this was fixed last year, when all the obsolete eieio
function calls were rewritten, so I'm closing this bug report.  If
there's still any issues here, please respond to the debbugs address and
we'll reopen the report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no